### Name: show.oas
### Title: Function to display list of available orthogonal arrays
### Aliases: show.oas
### Keywords: array design

### ** Examples

   ## the orthogonal arrays with 24 to 28 runs
   show.oas(nruns = c(24,28))
   ## the first 20 orthogonal arrays with 24 to 36 runs
   show.oas(nruns = c(24,36), show=20)
   ## the orthogonal arrays with 4 2-level factors, one 4-level factor and one 5-level factor
   show.oas(factors = list(nlevels=c(2,4,5),number=c(4,1,1)))
   ## the orthogonal arrays with 4 2-level factors, one 7-level factor and one 5-level factor
   show.oas(factors = list(nlevels=c(2,7,5),number=c(4,1,1)))
   ## the letter orthogonal arrays with the nlevels notation 
   ## (that can also be used in a call to oa.design subsequently)
   show.oas(nlevels = c(2,7,2,2,5,2))
   ## calling designs by name (currently not very useful)
   show.oas(name=c("L18","L12.2.11"))



